> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Status of a collection by job_id

> Use the Bright Data Marketplace API to status of a collection by job_id. Spans 250+ domains in the Bright Data marketplace.

**Endpoint:** `GET` `/datasets/request_collection`

This step is about querying information on an existing data collection request to understand its current state. It's used when checking the status or details of a collection request, such as the total number of lines, the freshness of data, or other pertinent details.

## Query Parameters

<ParamField query="request_id" type="string" required>
  Obtain from the previous API.
</ParamField>

<ParamField query="freshness_ms" type="string">
  Sets data freshness.
</ParamField>

<RequestExample>
  ```sh theme={null}
  curl -k "https://api.brightdata.com/datasets/request_collection?request_id=j_lsu5sdup1ggkc5umby" -H "Authorization: Bearer API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json Response Example theme={null}
  {
    "dataset_id":"gd_l1vikfnt1wgvvqz95w",
    "view_id":"v_lsu5sdxkopli6q8nn",
    "total_lines":3,
    "fresh_count":0,
    "name":"LinkedIn company information datasets custom input",
    "status":"done",
    "request_id":"j_lsu5sdup1ggkc5umby",
    "preview_total_lines":3,
    "quote":{
      "total":585,
      "subtotal":500,
      "tax":85,
      "tax_rates":{
        "datasets":17,
        "min":17,
        "max":17,
        "avg":17
      },
      "items":[
        {
          "product":"datasets",
          "type":"records",
          "price":7.46,
          "quantity":3,
          "total":0.02,
          "qmult":0.001,
          "desc":"Records"
        },
        {
          "desc":"Small dataset order fee",
          "product":"datasets",
          "type":"small_dataset_fee",
          "total":499.98,
          "price":500,
          "quantity":0.99996
        }
      ],
      "explain":{
        "datasets":[
          {
            "discounts":{
              "credit_package":0,
              "manual":0,
              "volume":0.15
            },
            "base_record_prices":{
              "record":8.78,
              "record_historical":1.63
            }
          }
        ],
        "total_discount":0
      }
    },
    "credit_package":false
  }
  ```
</ResponseExample>
